// Controlling a servo position using a potentiometer (variable resistor) 
// by Michal Rinott <http://people.interaction-ivrea.it/m.rinott> 
// Adapted to SoftRcPulseOut library by RC Navy  (http://p.loussouarn.free.fr)
// This sketch can work with ATtiny and Arduino UNO, MEGA, etc...

#include <SoftRcPulseOut.h> 
 
SoftRcPulseOut myservo;  // create servo object to control a servo 
 
#define SERVO_PIN         2  // --digital pin-- (not analog)  used to connect the servo
#define REFRESH_PERIOD_MS 20
#define NOW               1

const int ledPin =  1;

unsigned long previousMillis = 0;     
long interval = 500;

const int btnPin = 0;

int pwmZeit =90;
bool EZFW = false;

//SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS 
void setup() 
{ 
  pinMode(ledPin, OUTPUT);
  pinMode(btnPin, INPUT_PULLUP);
  
  myservo.attach(SERVO_PIN);  // 
} 
//LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL 
void loop() 
{ 

if (digitalRead(btnPin) == LOW)
{
EZFW = !EZFW;
}

while (digitalRead(btnPin) == LOW)
{
delay(20); 
digitalRead(btnPin);
 }

  unsigned long currentMillis = millis();

  if (currentMillis - previousMillis >= interval) 
  {
    previousMillis = currentMillis;
    digitalWrite(ledPin, !digitalRead(ledPin));
  }
  
if (EZFW == LOW)
{
  myservo.write(150);                  // sets the servo position according to the scaled value 
  interval = 500;
}
else
{
  myservo.write(50); 
  interval = 100;
}

  delay(REFRESH_PERIOD_MS);            // waits for the servo to get there 
  SoftRcPulseOut::refresh(NOW);        // generates the servo pulse Now
}
